Bug 31431 - REGRESSION: Cannot scroll to see footer on camendesign.com
Summary: REGRESSION: Cannot scroll to see footer on camendesign.com
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh All
: P1 Normal
Assignee: Nobody
URL: http://camendesign.com/video_for_ever...
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2009-11-12 13:52 PST by Glenn Wilson
Modified: 2010-06-25 10:59 PDT (History)
2 users (show)

See Also:


Attachments
reduction (522 bytes, text/html)
2009-11-12 13:52 PST, Glenn Wilson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Glenn Wilson 2009-11-12 13:52:29 PST
Created attachment 43095 [details]
reduction

camendesign.com shows a footer under each article (that's the e-mail and
search box, not the category links--that's the header), this footer is
visible in Firefox 3.5, Safari, Opera and Chrome 3.x

However, it does not appear in Chrome 4.x or Webkit ToT, it's hidden by a change in
calculation somewhere. Search the CSS for fixed-footer, and you'll see that
box-sizing is used to exclude the footer from the 100% height via padding
on the HTML element.
Comment 1 Kroc Camen 2010-06-08 05:20:30 PDT
From my comment at chrome bugs: Guys, this regression wasn’t fixed for Chrome 5 and it’s now made its way into Safari 5. Needless to say, I’m miffed. You broke my site, and now I may have to wait for Safari 6 before/if it gets solved. I’ll look into modifying the CSS to find a solution. It was hard enough getting this to work on Firefox, Opera and WebKit. If I find a workaround I’ll get back to you, thanks.
Comment 2 Alexey Proskuryakov 2010-06-08 12:43:06 PDT
It does seem that this bug report fell through the cracks, and I'm sorry about that.

However, I don't see the problem on http://camendesign.com - have you already found a way to work around it? But the reduction still shows a regression, of course.
Comment 3 Alexey Proskuryakov 2010-06-08 12:43:27 PDT
<rdar://problem/8071969>
Comment 4 Alexey Proskuryakov 2010-06-08 12:44:36 PDT
The regression I see on reduction is that scrolling doesn't work.
Comment 5 Kroc Camen 2010-06-08 13:44:48 PDT
View in Firefox to see the difference on a lengthy page like http://camendesign.com/video_for_everybody at the bottom; in Safari 5 the search box cannot be seen—it’s under the header (that’s fixed to the bottom of the screen). This change was introduced at somepoint during Chrome 5 development (bug is here http://code.google.com/p/chromium/issues/detail?id=27516 ). The trick I’m using is to use box-sizing to create a fixed-footer. When developers get to IE8+ minimum support then this will be a really elegant and simple solution.
Comment 6 Alexey Proskuryakov 2010-06-08 14:26:38 PDT
I can reproduce this problem with the new URL.
Comment 7 Kroc Camen 2010-06-25 10:59:27 PDT
I have worked around the issue by using alternative CSS. It may have been caused by the use of position:relative to move the footer up, I removed that and set a larger height along with other changes. The cited URLs will no longer display the fault.

Tested in:
* Chrome 5.0.375.55
* Chrome 6.0.408.1
* Chromium 6.0.415.0 (48034)
* Safari 5
* Safari 4
* WebKit r61783

Thanks all